<template>
  <div class="relative p-2">
      <span class="block font-medium">{{ repliedMessage?.name }}</span>
      <span class="text-gray-500" v-html="helpers.whatsappFormatting(helpers.urlify(helpers.decodeMessage(repliedMessage?.message)))"></span>
  </div>
</template>
<script setup lang="ts">
import helpers from "../../../utils/helpers";

interface Props {
  repliedMessage: any
}

let props = withDefaults(defineProps<Props>(), {
  repliedMessage: {
    message: null,
    name: null,
    type: null,
    object: null,
  }
});
</script>